Package com.smartgwt.client.types

# Enum DrawShapeCommandType

java.lang.Object
java.lang.Enum<DrawShapeCommandType>
com.smartgwt.client.types.DrawShapeCommandType

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<DrawShapeCommandType>`, `Constable`

public enum DrawShapeCommandType extends Enum<DrawShapeCommandType> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CIRCLETO`
  Draw a segment of a specified circle.
  `CLOSE`
  Draws a straight line from the current point to the last "moveto" point.
  `LINETO`
  Draw a line from the current point to the given (x,y) coordinate which becomes the new current point.
  `MOVETO`
  Start a new sub-path at a given (x,y) coordinate.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static DrawShapeCommandType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DrawShapeCommandType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CLOSE

    public static final DrawShapeCommandType CLOSE
    Draws a straight line from the current point to the last "moveto" point. There are no arguments.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "close".

  - ### MOVETO

    public static final DrawShapeCommandType MOVETO
    Start a new sub-path at a given (x,y) coordinate. The args array for this command type is a two-element array of the X and Y coordinates.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "moveto".

  - ### LINETO

    public static final DrawShapeCommandType LINETO
    Draw a line from the current point to the given (x,y) coordinate which becomes the new current point. Multiple (x,y) coordinates may be specified to draw a path, in which case the last point becomes the new current point. The args array for this command type is an array of one or more Points (two-element arrays of the X and Y coordinates).

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "lineto".

  - ### CIRCLETO

    public static final DrawShapeCommandType CIRCLETO
    Draw a segment of a specified circle. A straight line (the "initial line segment") is drawn from the current point to the start of the circular arc. The args array for this command type contains 4 values:
    0. The center (cx,cy) Point (two-element array) of the circle.
    1. radius
    2. startAngle - Start angle in degrees
    3. endAngle - End angle in degrees
    Note that the "circleto" Command example can be very helpful when learning how to write "circleto" commands.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "circleto".

- ## Method Details

  - ### values

    public static DrawShapeCommandType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DrawShapeCommandType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`